Package ru.bitel.bgbilling.modules.trayinfo.server.bean

# Class TrayInfoLoginManager

java.lang.Object
ru.bitel.bgbilling.modules.trayinfo.server.bean.TrayInfoLoginManager

public class TrayInfoLoginManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrayInfoLoginManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTrayInfoLogin(int cid, String pswd, Date date1, Date date2)`
  `void`
  `deleteTrayInfoLogin(int id)`
  Удаление логина по его id/login.
  `void`
  `generateTrayInfoLogin(int type, int cid, String pswd)`
  Геренация нового логина.
  `int`
  `getCidIsActive(String login, String pswd)`
  Возвращает ид договора, если есть активный аккаунт на сейчас, по логину и паролю.
  `List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin>`
  `getContractLoginsList(int cid)`
  Все логины с фильтром по договору. сортировка по date1 убывание.
  `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin`
  `getTrayInfoLogin(int id)`
  `boolean`
  `hasActiveLogin(int cid, Date time)`
  `void`
  `updateTrayInfoLogin(int id, String pswd, Date date1, Date date2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrayInfoLoginManager

    public TrayInfoLoginManager(Connection con, int mid)

- ## Method Details

  - ### getTrayInfoLogin

    public ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin getTrayInfoLogin(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteTrayInfoLogin

    public void deleteTrayInfoLogin(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление логина по его id/login.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractLoginsList

    public List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin> getContractLoginsList(int cid) throws ru.bitel.bgbilling.common.BGException
    Все логины с фильтром по договору. сортировка по date1 убывание.
    Parameters:
      `cid` - договор, если -1 — игнорируется.
    Returns:
      список логинов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addTrayInfoLogin

    public void addTrayInfoLogin(int cid, String pswd, Date date1, Date date2) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### hasActiveLogin

    public boolean hasActiveLogin(int cid, Date time) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getCidIsActive

    public int getCidIsActive(String login, String pswd) throws SQLException
    Возвращает ид договора, если есть активный аккаунт на сейчас, по логину и паролю.
    Parameters:
      `login` - логин
      `pswd` - пароль
    Returns:
      ид договора, или -1, если не найдено соответствия логин-пароль на текущий момент времени.
    Throws:
      `SQLException` - ошибка эскуэля

  - ### updateTrayInfoLogin

    public void updateTrayInfoLogin(int id, String pswd, Date date1, Date date2) throws SQLException
    Throws:
      `SQLException`

  - ### generateTrayInfoLogin

    public void generateTrayInfoLogin(int type, int cid, String pswd) throws ru.bitel.bgbilling.common.BGException
    Геренация нового логина.
    Parameters:
      `type` -
      `cid` -
      `pswd` -
    Throws:
      `ru.bitel.bgbilling.common.BGException` - если какая ошибка, или нет денег.